<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Unit Conversion and Dimensional Analysis Library: units::unit_t&lt; Units, T, NonLinearScale &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Unit Conversion and Dimensional Analysis Library
   &#160;<span id="projectnumber">2.3.0</span>
   </div>
   <div id="projectbrief">A compile-time c++14 unit conversion library</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceunits.html">units</a></li><li class="navelem"><a class="el" href="classunits_1_1unit__t.html">unit_t</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-types">Protected Types</a> &#124;
<a href="classunits_1_1unit__t-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">units::unit_t&lt; Units, T, NonLinearScale &gt; Class Template Reference<div class="ingroups"><a class="el" href="group___unit_containers.html">Unit Containers</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Container for values which represent quantities of a given unit.  
 <a href="classunits_1_1unit__t.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="units_8h_source.html">units.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for units::unit_t&lt; Units, T, NonLinearScale &gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classunits_1_1unit__t.png" usemap="#units::unit_5Ft_3C_20Units_2C_20T_2C_20NonLinearScale_20_3E_map" alt=""/>
  <map id="units::unit_5Ft_3C_20Units_2C_20T_2C_20NonLinearScale_20_3E_map" name="units::unit_5Ft_3C_20Units_2C_20T_2C_20NonLinearScale_20_3E_map">
<area href="structunits_1_1linear__scale.html" alt="units::linear_scale&lt; double &gt;" shape="rect" coords="0,0,241,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:adb3e922bd9478c385843ee44a7607e14"><td class="memItemLeft" align="right" valign="top"><a id="adb3e922bd9478c385843ee44a7607e14"></a>
typedef NonLinearScale&lt; T &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classunits_1_1unit__t.html#adb3e922bd9478c385843ee44a7607e14">non_linear_scale_type</a></td></tr>
<tr class="memdesc:adb3e922bd9478c385843ee44a7607e14"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type of the non-linear scale of the <a class="el" href="classunits_1_1unit__t.html" title="Container for values which represent quantities of a given unit.">unit_t</a> (e.g. <a class="el" href="structunits_1_1linear__scale.html" title="unit_t scale which is linear">linear_scale</a>) <br /></td></tr>
<tr class="separator:adb3e922bd9478c385843ee44a7607e14"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af3f88305faf59e0c71e8e616a2877ceb"><td class="memItemLeft" align="right" valign="top"><a id="af3f88305faf59e0c71e8e616a2877ceb"></a>
typedef T&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classunits_1_1unit__t.html#af3f88305faf59e0c71e8e616a2877ceb">underlying_type</a></td></tr>
<tr class="memdesc:af3f88305faf59e0c71e8e616a2877ceb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type of the underlying storage of the <a class="el" href="classunits_1_1unit__t.html" title="Container for values which represent quantities of a given unit.">unit_t</a> (e.g. double) <br /></td></tr>
<tr class="separator:af3f88305faf59e0c71e8e616a2877ceb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab292fb5cbcd67da6f7075fac82f0bc36"><td class="memItemLeft" align="right" valign="top"><a id="ab292fb5cbcd67da6f7075fac82f0bc36"></a>
typedef T&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classunits_1_1unit__t.html#ab292fb5cbcd67da6f7075fac82f0bc36">value_type</a></td></tr>
<tr class="memdesc:ab292fb5cbcd67da6f7075fac82f0bc36"><td class="mdescLeft">&#160;</td><td class="mdescRight">Synonym for underlying type. May be removed in future versions. Prefer underlying_type. <br /></td></tr>
<tr class="separator:ab292fb5cbcd67da6f7075fac82f0bc36"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a97925b5862ffd961071a8060d0f036b3"><td class="memItemLeft" align="right" valign="top"><a id="a97925b5862ffd961071a8060d0f036b3"></a>
typedef Units&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classunits_1_1unit__t.html#a97925b5862ffd961071a8060d0f036b3">unit_type</a></td></tr>
<tr class="memdesc:a97925b5862ffd961071a8060d0f036b3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type of <code>unit</code> the <code><a class="el" href="classunits_1_1unit__t.html" title="Container for values which represent quantities of a given unit.">unit_t</a></code> represents (e.g. meters) <br /></td></tr>
<tr class="separator:a97925b5862ffd961071a8060d0f036b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ae772ed5c49f98651ff0a731633c4a079"><td class="memItemLeft" align="right" valign="top"><a id="ae772ed5c49f98651ff0a731633c4a079"></a>
constexpr&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classunits_1_1unit__t.html#ae772ed5c49f98651ff0a731633c4a079">unit_t</a> ()=default</td></tr>
<tr class="memdesc:ae772ed5c49f98651ff0a731633c4a079"><td class="mdescLeft">&#160;</td><td class="mdescRight">default constructor. <br /></td></tr>
<tr class="separator:ae772ed5c49f98651ff0a731633c4a079"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd43a640c3022fdf3e1ed3cea0157e8e"><td class="memTemplParams" colspan="2">template&lt;class... Args&gt; </td></tr>
<tr class="memitem:acd43a640c3022fdf3e1ed3cea0157e8e"><td class="memTemplItemLeft" align="right" valign="top">constexpr&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classunits_1_1unit__t.html#acd43a640c3022fdf3e1ed3cea0157e8e">unit_t</a> (const T <a class="el" href="classunits_1_1unit__t.html#a5bb6799c6eb6f4cab7b47490ab03b9a1">value</a>, const Args &amp;... args) noexcept</td></tr>
<tr class="memdesc:acd43a640c3022fdf3e1ed3cea0157e8e"><td class="mdescLeft">&#160;</td><td class="mdescRight">constructor  <a href="classunits_1_1unit__t.html#acd43a640c3022fdf3e1ed3cea0157e8e">More...</a><br /></td></tr>
<tr class="separator:acd43a640c3022fdf3e1ed3cea0157e8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a687c7c408e61d4ec652f3c7b98924c27"><td class="memTemplParams" colspan="2">template&lt;class Ty , class  = typename std::enable_if&lt;traits::is_dimensionless_unit&lt;Units&gt;::value &amp;&amp; std::is_arithmetic&lt;Ty&gt;::value&gt;::type&gt; </td></tr>
<tr class="memitem:a687c7c408e61d4ec652f3c7b98924c27"><td class="memTemplItemLeft" align="right" valign="top">constexpr&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classunits_1_1unit__t.html#a687c7c408e61d4ec652f3c7b98924c27">unit_t</a> (const Ty <a class="el" href="classunits_1_1unit__t.html#a5bb6799c6eb6f4cab7b47490ab03b9a1">value</a>) noexcept</td></tr>
<tr class="memdesc:a687c7c408e61d4ec652f3c7b98924c27"><td class="mdescLeft">&#160;</td><td class="mdescRight">constructor  <a href="classunits_1_1unit__t.html#a687c7c408e61d4ec652f3c7b98924c27">More...</a><br /></td></tr>
<tr class="separator:a687c7c408e61d4ec652f3c7b98924c27"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f31f268937a30e1b76066813d13431f"><td class="memTemplParams" colspan="2">template&lt;class Rep , class Period , class  = std::enable_if_t&lt;std::is_arithmetic&lt;Rep&gt;::value &amp;&amp; traits::is_ratio&lt;Period&gt;::value&gt;&gt; </td></tr>
<tr class="memitem:a1f31f268937a30e1b76066813d13431f"><td class="memTemplItemLeft" align="right" valign="top">constexpr&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classunits_1_1unit__t.html#a1f31f268937a30e1b76066813d13431f">unit_t</a> (const std::chrono::duration&lt; Rep, Period &gt; &amp;<a class="el" href="classunits_1_1unit__t.html#a5bb6799c6eb6f4cab7b47490ab03b9a1">value</a>) noexcept</td></tr>
<tr class="memdesc:a1f31f268937a30e1b76066813d13431f"><td class="mdescLeft">&#160;</td><td class="mdescRight">chrono constructor  <a href="classunits_1_1unit__t.html#a1f31f268937a30e1b76066813d13431f">More...</a><br /></td></tr>
<tr class="separator:a1f31f268937a30e1b76066813d13431f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ae6e3aeeac10dc8d79355e881428d25"><td class="memTemplParams" colspan="2">template&lt;class UnitsRhs , typename Ty , template&lt; typename &gt; class NlsRhs&gt; </td></tr>
<tr class="memitem:a6ae6e3aeeac10dc8d79355e881428d25"><td class="memTemplItemLeft" align="right" valign="top">constexpr&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classunits_1_1unit__t.html#a6ae6e3aeeac10dc8d79355e881428d25">unit_t</a> (const <a class="el" href="classunits_1_1unit__t.html">unit_t</a>&lt; UnitsRhs, Ty, NlsRhs &gt; &amp;rhs) noexcept</td></tr>
<tr class="memdesc:a6ae6e3aeeac10dc8d79355e881428d25"><td class="mdescLeft">&#160;</td><td class="mdescRight">copy constructor (converting)  <a href="classunits_1_1unit__t.html#a6ae6e3aeeac10dc8d79355e881428d25">More...</a><br /></td></tr>
<tr class="separator:a6ae6e3aeeac10dc8d79355e881428d25"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3cd356057a6c39cebe33e4ea6ef3c6f6"><td class="memTemplParams" colspan="2">template&lt;class UnitsRhs , typename Ty , template&lt; typename &gt; class NlsRhs&gt; </td></tr>
<tr class="memitem:a3cd356057a6c39cebe33e4ea6ef3c6f6"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classunits_1_1unit__t.html">unit_t</a> &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classunits_1_1unit__t.html#a3cd356057a6c39cebe33e4ea6ef3c6f6">operator=</a> (const <a class="el" href="classunits_1_1unit__t.html">unit_t</a>&lt; UnitsRhs, Ty, NlsRhs &gt; &amp;rhs) noexcept</td></tr>
<tr class="memdesc:a3cd356057a6c39cebe33e4ea6ef3c6f6"><td class="mdescLeft">&#160;</td><td class="mdescRight">assignment  <a href="classunits_1_1unit__t.html#a3cd356057a6c39cebe33e4ea6ef3c6f6">More...</a><br /></td></tr>
<tr class="separator:a3cd356057a6c39cebe33e4ea6ef3c6f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0ed50cb1ecc7c8fbfa6527dc96836317"><td class="memTemplParams" colspan="2">template&lt;class Ty , class  = std::enable_if_t&lt;traits::is_dimensionless_unit&lt;Units&gt;::value &amp;&amp; std::is_arithmetic&lt;Ty&gt;::value&gt;&gt; </td></tr>
<tr class="memitem:a0ed50cb1ecc7c8fbfa6527dc96836317"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classunits_1_1unit__t.html">unit_t</a> &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classunits_1_1unit__t.html#a0ed50cb1ecc7c8fbfa6527dc96836317">operator=</a> (const Ty &amp;rhs) noexcept</td></tr>
<tr class="memdesc:a0ed50cb1ecc7c8fbfa6527dc96836317"><td class="mdescLeft">&#160;</td><td class="mdescRight">assignment  <a href="classunits_1_1unit__t.html#a0ed50cb1ecc7c8fbfa6527dc96836317">More...</a><br /></td></tr>
<tr class="separator:a0ed50cb1ecc7c8fbfa6527dc96836317"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0344e38243a1338677da61fc4d0ef2e9"><td class="memTemplParams" colspan="2">template&lt;class UnitsRhs , typename Ty , template&lt; typename &gt; class NlsRhs&gt; </td></tr>
<tr class="memitem:a0344e38243a1338677da61fc4d0ef2e9"><td class="memTemplItemLeft" align="right" valign="top">constexpr bool&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classunits_1_1unit__t.html#a0344e38243a1338677da61fc4d0ef2e9">operator&lt;</a> (const <a class="el" href="classunits_1_1unit__t.html">unit_t</a>&lt; UnitsRhs, Ty, NlsRhs &gt; &amp;rhs) const noexcept</td></tr>
<tr class="memdesc:a0344e38243a1338677da61fc4d0ef2e9"><td class="mdescLeft">&#160;</td><td class="mdescRight">less-than  <a href="classunits_1_1unit__t.html#a0344e38243a1338677da61fc4d0ef2e9">More...</a><br /></td></tr>
<tr class="separator:a0344e38243a1338677da61fc4d0ef2e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0cb34c0c879367098d36408f833fb711"><td class="memTemplParams" colspan="2">template&lt;class UnitsRhs , typename Ty , template&lt; typename &gt; class NlsRhs&gt; </td></tr>
<tr class="memitem:a0cb34c0c879367098d36408f833fb711"><td class="memTemplItemLeft" align="right" valign="top">constexpr bool&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classunits_1_1unit__t.html#a0cb34c0c879367098d36408f833fb711">operator&lt;=</a> (const <a class="el" href="classunits_1_1unit__t.html">unit_t</a>&lt; UnitsRhs, Ty, NlsRhs &gt; &amp;rhs) const noexcept</td></tr>
<tr class="memdesc:a0cb34c0c879367098d36408f833fb711"><td class="mdescLeft">&#160;</td><td class="mdescRight">less-than or equal  <a href="classunits_1_1unit__t.html#a0cb34c0c879367098d36408f833fb711">More...</a><br /></td></tr>
<tr class="separator:a0cb34c0c879367098d36408f833fb711"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa217fffcd201893766279a216c30bd03"><td class="memTemplParams" colspan="2">template&lt;class UnitsRhs , typename Ty , template&lt; typename &gt; class NlsRhs&gt; </td></tr>
<tr class="memitem:aa217fffcd201893766279a216c30bd03"><td class="memTemplItemLeft" align="right" valign="top">constexpr bool&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classunits_1_1unit__t.html#aa217fffcd201893766279a216c30bd03">operator&gt;</a> (const <a class="el" href="classunits_1_1unit__t.html">unit_t</a>&lt; UnitsRhs, Ty, NlsRhs &gt; &amp;rhs) const noexcept</td></tr>
<tr class="memdesc:aa217fffcd201893766279a216c30bd03"><td class="mdescLeft">&#160;</td><td class="mdescRight">greater-than  <a href="classunits_1_1unit__t.html#aa217fffcd201893766279a216c30bd03">More...</a><br /></td></tr>
<tr class="separator:aa217fffcd201893766279a216c30bd03"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade9d4c04fc33fc1a62aaef313729aff4"><td class="memTemplParams" colspan="2">template&lt;class UnitsRhs , typename Ty , template&lt; typename &gt; class NlsRhs&gt; </td></tr>
<tr class="memitem:ade9d4c04fc33fc1a62aaef313729aff4"><td class="memTemplItemLeft" align="right" valign="top">constexpr bool&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classunits_1_1unit__t.html#ade9d4c04fc33fc1a62aaef313729aff4">operator&gt;=</a> (const <a class="el" href="classunits_1_1unit__t.html">unit_t</a>&lt; UnitsRhs, Ty, NlsRhs &gt; &amp;rhs) const noexcept</td></tr>
<tr class="memdesc:ade9d4c04fc33fc1a62aaef313729aff4"><td class="mdescLeft">&#160;</td><td class="mdescRight">greater-than or equal  <a href="classunits_1_1unit__t.html#ade9d4c04fc33fc1a62aaef313729aff4">More...</a><br /></td></tr>
<tr class="separator:ade9d4c04fc33fc1a62aaef313729aff4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb13edd0520e3108b5c4b99af455210b"><td class="memTemplParams" colspan="2">template&lt;class UnitsRhs , typename Ty , template&lt; typename &gt; class NlsRhs, std::enable_if_t&lt; std::is_floating_point&lt; T &gt;::value||std::is_floating_point&lt; Ty &gt;::value, int &gt;  = 0&gt; </td></tr>
<tr class="memitem:acb13edd0520e3108b5c4b99af455210b"><td class="memTemplItemLeft" align="right" valign="top">constexpr bool&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classunits_1_1unit__t.html#acb13edd0520e3108b5c4b99af455210b">operator==</a> (const <a class="el" href="classunits_1_1unit__t.html">unit_t</a>&lt; UnitsRhs, Ty, NlsRhs &gt; &amp;rhs) const noexcept</td></tr>
<tr class="memdesc:acb13edd0520e3108b5c4b99af455210b"><td class="mdescLeft">&#160;</td><td class="mdescRight">equality  <a href="classunits_1_1unit__t.html#acb13edd0520e3108b5c4b99af455210b">More...</a><br /></td></tr>
<tr class="separator:acb13edd0520e3108b5c4b99af455210b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb13edd0520e3108b5c4b99af455210b"><td class="memTemplParams" colspan="2"><a id="acb13edd0520e3108b5c4b99af455210b"></a>
template&lt;class UnitsRhs , typename Ty , template&lt; typename &gt; class NlsRhs, std::enable_if_t&lt; std::is_integral&lt; T &gt;::value &amp;&amp;std::is_integral&lt; Ty &gt;::value, int &gt;  = 0&gt; </td></tr>
<tr class="memitem:acb13edd0520e3108b5c4b99af455210b"><td class="memTemplItemLeft" align="right" valign="top">constexpr bool&#160;</td><td class="memTemplItemRight" valign="bottom"><b>operator==</b> (const <a class="el" href="classunits_1_1unit__t.html">unit_t</a>&lt; UnitsRhs, Ty, NlsRhs &gt; &amp;rhs) const noexcept</td></tr>
<tr class="separator:acb13edd0520e3108b5c4b99af455210b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8599d7df8a1db468dc3e61c3e6122041"><td class="memTemplParams" colspan="2">template&lt;class UnitsRhs , typename Ty , template&lt; typename &gt; class NlsRhs&gt; </td></tr>
<tr class="memitem:a8599d7df8a1db468dc3e61c3e6122041"><td class="memTemplItemLeft" align="right" valign="top">constexpr bool&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classunits_1_1unit__t.html#a8599d7df8a1db468dc3e61c3e6122041">operator!=</a> (const <a class="el" href="classunits_1_1unit__t.html">unit_t</a>&lt; UnitsRhs, Ty, NlsRhs &gt; &amp;rhs) const noexcept</td></tr>
<tr class="memdesc:a8599d7df8a1db468dc3e61c3e6122041"><td class="mdescLeft">&#160;</td><td class="mdescRight">inequality  <a href="classunits_1_1unit__t.html#a8599d7df8a1db468dc3e61c3e6122041">More...</a><br /></td></tr>
<tr class="separator:a8599d7df8a1db468dc3e61c3e6122041"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5bb6799c6eb6f4cab7b47490ab03b9a1"><td class="memItemLeft" align="right" valign="top">constexpr <a class="el" href="classunits_1_1unit__t.html#af3f88305faf59e0c71e8e616a2877ceb">underlying_type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classunits_1_1unit__t.html#a5bb6799c6eb6f4cab7b47490ab03b9a1">value</a> () const noexcept</td></tr>
<tr class="memdesc:a5bb6799c6eb6f4cab7b47490ab03b9a1"><td class="mdescLeft">&#160;</td><td class="mdescRight">unit value  <a href="classunits_1_1unit__t.html#a5bb6799c6eb6f4cab7b47490ab03b9a1">More...</a><br /></td></tr>
<tr class="separator:a5bb6799c6eb6f4cab7b47490ab03b9a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a848f265210db571a1f7d13aae96c8dd5"><td class="memTemplParams" colspan="2">template&lt;typename Ty , class  = std::enable_if_t&lt;std::is_arithmetic&lt;Ty&gt;::value&gt;&gt; </td></tr>
<tr class="memitem:a848f265210db571a1f7d13aae96c8dd5"><td class="memTemplItemLeft" align="right" valign="top">constexpr Ty&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classunits_1_1unit__t.html#a848f265210db571a1f7d13aae96c8dd5">to</a> () const noexcept</td></tr>
<tr class="memdesc:a848f265210db571a1f7d13aae96c8dd5"><td class="mdescLeft">&#160;</td><td class="mdescRight">unit value  <a href="classunits_1_1unit__t.html#a848f265210db571a1f7d13aae96c8dd5">More...</a><br /></td></tr>
<tr class="separator:a848f265210db571a1f7d13aae96c8dd5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80b7f760f0ed5ff1855ec2f3d8e8c6b1"><td class="memTemplParams" colspan="2">template&lt;typename Ty , class  = std::enable_if_t&lt;std::is_arithmetic&lt;Ty&gt;::value&gt;&gt; </td></tr>
<tr class="memitem:a80b7f760f0ed5ff1855ec2f3d8e8c6b1"><td class="memTemplItemLeft" align="right" valign="top">constexpr Ty&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classunits_1_1unit__t.html#a80b7f760f0ed5ff1855ec2f3d8e8c6b1">toLinearized</a> () const noexcept</td></tr>
<tr class="memdesc:a80b7f760f0ed5ff1855ec2f3d8e8c6b1"><td class="mdescLeft">&#160;</td><td class="mdescRight">linearized unit value  <a href="classunits_1_1unit__t.html#a80b7f760f0ed5ff1855ec2f3d8e8c6b1">More...</a><br /></td></tr>
<tr class="separator:a80b7f760f0ed5ff1855ec2f3d8e8c6b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12e64b5a271bea053d685fc30df9aeee"><td class="memTemplParams" colspan="2">template&lt;class U &gt; </td></tr>
<tr class="memitem:a12e64b5a271bea053d685fc30df9aeee"><td class="memTemplItemLeft" align="right" valign="top">constexpr <a class="el" href="classunits_1_1unit__t.html">unit_t</a>&lt; U &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classunits_1_1unit__t.html#a12e64b5a271bea053d685fc30df9aeee">convert</a> () const noexcept</td></tr>
<tr class="memdesc:a12e64b5a271bea053d685fc30df9aeee"><td class="mdescLeft">&#160;</td><td class="mdescRight">conversion  <a href="classunits_1_1unit__t.html#a12e64b5a271bea053d685fc30df9aeee">More...</a><br /></td></tr>
<tr class="separator:a12e64b5a271bea053d685fc30df9aeee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e83d3d3d051567eb33f1a475fa35704"><td class="memTemplParams" colspan="2">template&lt;class Ty , std::enable_if_t&lt; traits::is_dimensionless_unit&lt; Units &gt;::value &amp;&amp;std::is_arithmetic&lt; Ty &gt;::value, int &gt;  = 0&gt; </td></tr>
<tr class="memitem:a0e83d3d3d051567eb33f1a475fa35704"><td class="memTemplItemLeft" align="right" valign="top">constexpr&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classunits_1_1unit__t.html#a0e83d3d3d051567eb33f1a475fa35704">operator Ty</a> () const noexcept</td></tr>
<tr class="memdesc:a0e83d3d3d051567eb33f1a475fa35704"><td class="mdescLeft">&#160;</td><td class="mdescRight">implicit type conversion.  <a href="classunits_1_1unit__t.html#a0e83d3d3d051567eb33f1a475fa35704">More...</a><br /></td></tr>
<tr class="separator:a0e83d3d3d051567eb33f1a475fa35704"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e83d3d3d051567eb33f1a475fa35704"><td class="memTemplParams" colspan="2">template&lt;class Ty , std::enable_if_t&lt;!traits::is_dimensionless_unit&lt; Units &gt;::value &amp;&amp;std::is_arithmetic&lt; Ty &gt;::value, int &gt;  = 0&gt; </td></tr>
<tr class="memitem:a0e83d3d3d051567eb33f1a475fa35704"><td class="memTemplItemLeft" align="right" valign="top">constexpr&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classunits_1_1unit__t.html#a0e83d3d3d051567eb33f1a475fa35704">operator Ty</a> () const noexcept</td></tr>
<tr class="memdesc:a0e83d3d3d051567eb33f1a475fa35704"><td class="mdescLeft">&#160;</td><td class="mdescRight">explicit type conversion.  <a href="classunits_1_1unit__t.html#a0e83d3d3d051567eb33f1a475fa35704">More...</a><br /></td></tr>
<tr class="separator:a0e83d3d3d051567eb33f1a475fa35704"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b4652d0db0c70aed0df98ce510dea85"><td class="memTemplParams" colspan="2">template&lt;typename U  = Units, std::enable_if_t&lt; units::traits::is_convertible_unit&lt; U, unit&lt; std::ratio&lt; 1 &gt;, category::time_unit &gt;&gt;::value, int &gt;  = 0&gt; </td></tr>
<tr class="memitem:a1b4652d0db0c70aed0df98ce510dea85"><td class="memTemplItemLeft" align="right" valign="top">constexpr&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classunits_1_1unit__t.html#a1b4652d0db0c70aed0df98ce510dea85">operator std::chrono::nanoseconds</a> () const noexcept</td></tr>
<tr class="memdesc:a1b4652d0db0c70aed0df98ce510dea85"><td class="mdescLeft">&#160;</td><td class="mdescRight">chrono implicit type conversion.  <a href="classunits_1_1unit__t.html#a1b4652d0db0c70aed0df98ce510dea85">More...</a><br /></td></tr>
<tr class="separator:a1b4652d0db0c70aed0df98ce510dea85"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3bc99e9ce0f2b0c16358a620a2085b68"><td class="memItemLeft" align="right" valign="top"><a id="a3bc99e9ce0f2b0c16358a620a2085b68"></a>
constexpr const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classunits_1_1unit__t.html#a3bc99e9ce0f2b0c16358a620a2085b68">name</a> () const noexcept</td></tr>
<tr class="memdesc:a3bc99e9ce0f2b0c16358a620a2085b68"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns the unit name <br /></td></tr>
<tr class="separator:a3bc99e9ce0f2b0c16358a620a2085b68"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad79c79ec73cd83200af8b6c0867c69c9"><td class="memItemLeft" align="right" valign="top"><a id="ad79c79ec73cd83200af8b6c0867c69c9"></a>
constexpr const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classunits_1_1unit__t.html#ad79c79ec73cd83200af8b6c0867c69c9">abbreviation</a> () const noexcept</td></tr>
<tr class="memdesc:ad79c79ec73cd83200af8b6c0867c69c9"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns the unit abbreviation <br /></td></tr>
<tr class="separator:ad79c79ec73cd83200af8b6c0867c69c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_structunits_1_1linear__scale"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_structunits_1_1linear__scale')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="structunits_1_1linear__scale.html">units::linear_scale&lt; double &gt;</a></td></tr>
<tr class="memitem:abe50562800503f5e1720ee1af2c6ad0f inherit pub_methods_structunits_1_1linear__scale"><td class="memItemLeft" align="right" valign="top"><a id="abe50562800503f5e1720ee1af2c6ad0f"></a>
constexpr&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structunits_1_1linear__scale.html#abe50562800503f5e1720ee1af2c6ad0f">linear_scale</a> ()=default</td></tr>
<tr class="memdesc:abe50562800503f5e1720ee1af2c6ad0f inherit pub_methods_structunits_1_1linear__scale"><td class="mdescLeft">&#160;</td><td class="mdescRight">default constructor. <br  />
 <br /></td></tr>
<tr class="separator:abe50562800503f5e1720ee1af2c6ad0f inherit pub_methods_structunits_1_1linear__scale"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ce14033cc70cfa9401f7fab5426f780 inherit pub_methods_structunits_1_1linear__scale"><td class="memItemLeft" align="right" valign="top"><a id="a6ce14033cc70cfa9401f7fab5426f780"></a>
constexpr&#160;</td><td class="memItemRight" valign="bottom"><b>linear_scale</b> (const <a class="el" href="structunits_1_1linear__scale.html">linear_scale</a> &amp;)=default</td></tr>
<tr class="separator:a6ce14033cc70cfa9401f7fab5426f780 inherit pub_methods_structunits_1_1linear__scale"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a292783c0a5f8977784d7d990cb062d61 inherit pub_methods_structunits_1_1linear__scale"><td class="memItemLeft" align="right" valign="top"><a id="a292783c0a5f8977784d7d990cb062d61"></a>
<a class="el" href="structunits_1_1linear__scale.html">linear_scale</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator=</b> (const <a class="el" href="structunits_1_1linear__scale.html">linear_scale</a> &amp;)=default</td></tr>
<tr class="separator:a292783c0a5f8977784d7d990cb062d61 inherit pub_methods_structunits_1_1linear__scale"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-types"></a>
Protected Types</h2></td></tr>
<tr class="memitem:ade7926dca4829a3dab64ae3c2682b491"><td class="memItemLeft" align="right" valign="top"><a id="ade7926dca4829a3dab64ae3c2682b491"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>nls</b> = NonLinearScale&lt; T &gt;</td></tr>
<tr class="separator:ade7926dca4829a3dab64ae3c2682b491"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_attribs_structunits_1_1linear__scale"><td colspan="2" onclick="javascript:toggleInherit('pub_attribs_structunits_1_1linear__scale')"><img src="closed.png" alt="-"/>&#160;Public Attributes inherited from <a class="el" href="structunits_1_1linear__scale.html">units::linear_scale&lt; double &gt;</a></td></tr>
<tr class="memitem:a46d98f82582a5043fc2743e8cfed4e05 inherit pub_attribs_structunits_1_1linear__scale"><td class="memItemLeft" align="right" valign="top"><a id="a46d98f82582a5043fc2743e8cfed4e05"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structunits_1_1linear__scale.html#a46d98f82582a5043fc2743e8cfed4e05">m_value</a></td></tr>
<tr class="memdesc:a46d98f82582a5043fc2743e8cfed4e05 inherit pub_attribs_structunits_1_1linear__scale"><td class="mdescLeft">&#160;</td><td class="mdescRight">linearized value. <br  />
 <br /></td></tr>
<tr class="separator:a46d98f82582a5043fc2743e8cfed4e05 inherit pub_attribs_structunits_1_1linear__scale"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><h3>template&lt;class Units, typename T = double, template&lt; typename &gt; class NonLinearScale = linear_scale&gt;<br />
class units::unit_t&lt; Units, T, NonLinearScale &gt;</h3>

<p>Container for values which represent quantities of a given unit. </p>
<p>Stores a value which represents a quantity in the given units. Unit containers (except scalar values) are <em>not</em> convertible to built-in c++ types, in order to provide type safety in dimensional analysis. Unit containers <em>are</em> implicitly convertible to other compatible unit container types. Unit containers support various types of arithmetic operations, depending on their scale type.</p>
<p>The value of a <code><a class="el" href="classunits_1_1unit__t.html" title="Container for values which represent quantities of a given unit.">unit_t</a></code> can only be changed on construction, or by assignment from another <code><a class="el" href="classunits_1_1unit__t.html" title="Container for values which represent quantities of a given unit.">unit_t</a></code> type. If necessary, the underlying value can be accessed using <code>operator()</code>:</p><div class="fragment"><div class="line">meter_t m(5.0);</div>
<div class="line"><span class="keywordtype">double</span> val = m(); <span class="comment">// val == 5.0 </span></div>
</div><!-- fragment --><p>. </p><dl class="tparams"><dt>Template Parameters</dt><dd>
  <table class="tparams">
    <tr><td class="paramname">Units</td><td>unit tag for which type of units the <code><a class="el" href="classunits_1_1unit__t.html" title="Container for values which represent quantities of a given unit.">unit_t</a></code> represents (e.g. meters) </td></tr>
    <tr><td class="paramname">T</td><td>underlying type of the storage. Defaults to double. </td></tr>
    <tr><td class="paramname">NonLinearScale</td><td>optional scale class for the units. Defaults to linear (i.e. does not scale the unit value). Examples of non-linear scales could be logarithmic, decibel, or richter scales. Non-linear scales must adhere to the non-linear-scale concept, i.e. <code>is_nonlinear_scale&lt;...&gt;::value</code> must be <code>true</code>. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd><ul>
<li><a class="el" href="namespaceunits_1_1length.html#lengthContainers">length unit containers</a></li>
<li><a class="el" href="namespaceunits_1_1mass.html#massContainers">mass unit containers</a></li>
<li><a class="el" href="namespaceunits_1_1time.html#timeContainers">time unit containers</a></li>
<li><a class="el" href="namespaceunits_1_1angle.html#angleContainers">angle unit containers</a></li>
<li><a class="el" href="namespaceunits_1_1current.html#currentContainers">current unit containers</a></li>
<li><a class="el" href="namespaceunits_1_1temperature.html#temperatureContainers">temperature unit containers</a></li>
<li><a class="el" href="namespaceunits_1_1substance.html#substanceContainers">substance unit containers</a></li>
<li><a class="el" href="namespaceunits_1_1luminous__intensity.html#luminousIntensityContainers">luminous intensity unit containers</a></li>
<li><a class="el" href="namespaceunits_1_1solid__angle.html#solidAngleContainers">solid angle unit containers</a></li>
<li><a class="el" href="namespaceunits_1_1frequency.html#frequencyContainers">frequency unit containers</a></li>
<li><a class="el" href="namespaceunits_1_1velocity.html#velocityContainers">velocity unit containers</a></li>
<li><a class="el" href="namespaceunits_1_1angular__velocity.html#angularVelocityContainers">angular velocity unit containers</a></li>
<li><a class="el" href="namespaceunits_1_1acceleration.html#accelerationContainers">acceleration unit containers</a></li>
<li><a class="el" href="namespaceunits_1_1force.html#forceContainers">force unit containers</a></li>
<li><a class="el" href="namespaceunits_1_1pressure.html#pressureContainers">pressure unit containers</a></li>
<li><a class="el" href="namespaceunits_1_1charge.html#chargeContainers">charge unit containers</a></li>
<li><a class="el" href="namespaceunits_1_1energy.html#energyContainers">energy unit containers</a></li>
<li><a class="el" href="namespaceunits_1_1power.html#powerContainers">power unit containers</a></li>
<li><a class="el" href="namespaceunits_1_1voltage.html#voltageContainers">voltage unit containers</a></li>
<li><a class="el" href="namespaceunits_1_1capacitance.html#capacitanceContainers">capacitance unit containers</a></li>
<li><a class="el" href="namespaceunits_1_1impedance.html#impedanceContainers">impedance unit containers</a></li>
<li><a class="el" href="namespaceunits_1_1magnetic__flux.html#magneticFluxContainers">magnetic flux unit containers</a></li>
<li><a class="el" href="namespaceunits_1_1magnetic__field__strength.html#magneticFieldStrengthContainers">magnetic field strength unit containers</a></li>
<li><a class="el" href="namespaceunits_1_1inductance.html#inductanceContainers">inductance unit containers</a></li>
<li><a class="el" href="namespaceunits_1_1luminous__flux.html#luminousFluxContainers">luminous flux unit containers</a></li>
<li><a class="el" href="namespaceunits_1_1illuminance.html#illuminanceContainers">illuminance unit containers</a></li>
<li><a class="el" href="namespaceunits_1_1radiation.html#radiationContainers">radiation unit containers</a></li>
<li><a class="el" href="namespaceunits_1_1torque.html#torqueContainers">torque unit containers</a></li>
<li><a class="el" href="namespaceunits_1_1area.html#areaContainers">area unit containers</a></li>
<li><a class="el" href="namespaceunits_1_1volume.html#volumeContainers">volume unit containers</a></li>
<li><a class="el" href="namespaceunits_1_1density.html#densityContainers">density unit containers</a></li>
<li><a class="el" href="namespaceunits_1_1concentration.html#concentrationContainers">concentration unit containers</a></li>
<li><a class="el" href="namespaceunits_1_1constants.html#constantContainers">constant unit containers</a> </li>
</ul>
</dd></dl>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="acd43a640c3022fdf3e1ed3cea0157e8e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acd43a640c3022fdf3e1ed3cea0157e8e">&#9670;&nbsp;</a></span>unit_t() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Units , typename T  = double, template&lt; typename &gt; class NonLinearScale = linear_scale&gt; </div>
<div class="memtemplate">
template&lt;class... Args&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr <a class="el" href="classunits_1_1unit__t.html">units::unit_t</a>&lt; Units, T, NonLinearScale &gt;::<a class="el" href="classunits_1_1unit__t.html">unit_t</a> </td>
          <td>(</td>
          <td class="paramtype">const T&#160;</td>
          <td class="paramname"><em>value</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const Args &amp;...&#160;</td>
          <td class="paramname"><em>args</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">explicit</span><span class="mlabel">constexpr</span><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>constructor </p>
<p>constructs a new <a class="el" href="classunits_1_1unit__t.html" title="Container for values which represent quantities of a given unit.">unit_t</a> using the non-linear scale's constructor. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">value</td><td>unit value magnitude. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">args</td><td>additional constructor arguments are forwarded to the non-linear scale constructor. Which args are required depends on which scale is used. For the default (linear) scale, no additional args are necessary. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a687c7c408e61d4ec652f3c7b98924c27"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a687c7c408e61d4ec652f3c7b98924c27">&#9670;&nbsp;</a></span>unit_t() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Units , typename T  = double, template&lt; typename &gt; class NonLinearScale = linear_scale&gt; </div>
<div class="memtemplate">
template&lt;class Ty , class  = typename std::enable_if&lt;traits::is_dimensionless_unit&lt;Units&gt;::value &amp;&amp; std::is_arithmetic&lt;Ty&gt;::value&gt;::type&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr <a class="el" href="classunits_1_1unit__t.html">units::unit_t</a>&lt; Units, T, NonLinearScale &gt;::<a class="el" href="classunits_1_1unit__t.html">unit_t</a> </td>
          <td>(</td>
          <td class="paramtype">const Ty&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">constexpr</span><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>constructor </p>
<p>enable implicit conversions from T types ONLY for linear scalar units </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">value</td><td>value of the <a class="el" href="classunits_1_1unit__t.html" title="Container for values which represent quantities of a given unit.">unit_t</a> </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a1f31f268937a30e1b76066813d13431f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1f31f268937a30e1b76066813d13431f">&#9670;&nbsp;</a></span>unit_t() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Units , typename T  = double, template&lt; typename &gt; class NonLinearScale = linear_scale&gt; </div>
<div class="memtemplate">
template&lt;class Rep , class Period , class  = std::enable_if_t&lt;std::is_arithmetic&lt;Rep&gt;::value &amp;&amp; traits::is_ratio&lt;Period&gt;::value&gt;&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr <a class="el" href="classunits_1_1unit__t.html">units::unit_t</a>&lt; Units, T, NonLinearScale &gt;::<a class="el" href="classunits_1_1unit__t.html">unit_t</a> </td>
          <td>(</td>
          <td class="paramtype">const std::chrono::duration&lt; Rep, Period &gt; &amp;&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">constexpr</span><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>chrono constructor </p>
<p>enable implicit conversions from std::chrono::duration types ONLY for time units </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">value</td><td>value of the <a class="el" href="classunits_1_1unit__t.html" title="Container for values which represent quantities of a given unit.">unit_t</a> </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a6ae6e3aeeac10dc8d79355e881428d25"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6ae6e3aeeac10dc8d79355e881428d25">&#9670;&nbsp;</a></span>unit_t() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Units , typename T  = double, template&lt; typename &gt; class NonLinearScale = linear_scale&gt; </div>
<div class="memtemplate">
template&lt;class UnitsRhs , typename Ty , template&lt; typename &gt; class NlsRhs&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr <a class="el" href="classunits_1_1unit__t.html">units::unit_t</a>&lt; Units, T, NonLinearScale &gt;::<a class="el" href="classunits_1_1unit__t.html">unit_t</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classunits_1_1unit__t.html">unit_t</a>&lt; UnitsRhs, Ty, NlsRhs &gt; &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">constexpr</span><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>copy constructor (converting) </p>
<p>performs implicit unit conversions if required. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">rhs</td><td>unit to copy. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a12e64b5a271bea053d685fc30df9aeee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a12e64b5a271bea053d685fc30df9aeee">&#9670;&nbsp;</a></span>convert()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Units , typename T  = double, template&lt; typename &gt; class NonLinearScale = linear_scale&gt; </div>
<div class="memtemplate">
template&lt;class U &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr <a class="el" href="classunits_1_1unit__t.html">unit_t</a>&lt;U&gt; <a class="el" href="classunits_1_1unit__t.html">units::unit_t</a>&lt; Units, T, NonLinearScale &gt;::convert </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">constexpr</span><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>conversion </p>
<p>Converts to a different unit container. Units can be converted to other containers implicitly, but this can be used in cases where explicit notation of a conversion is beneficial, or where an r-value container is needed. </p><dl class="tparams"><dt>Template Parameters</dt><dd>
  <table class="tparams">
    <tr><td class="paramname">U</td><td>unit (not <a class="el" href="classunits_1_1unit__t.html" title="Container for values which represent quantities of a given unit.">unit_t</a>) to convert to </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>a unit container with the specified units containing the equivalent value to *this. </dd></dl>

</div>
</div>
<a id="a1b4652d0db0c70aed0df98ce510dea85"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1b4652d0db0c70aed0df98ce510dea85">&#9670;&nbsp;</a></span>operator std::chrono::nanoseconds()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Units , typename T  = double, template&lt; typename &gt; class NonLinearScale = linear_scale&gt; </div>
<div class="memtemplate">
template&lt;typename U  = Units, std::enable_if_t&lt; units::traits::is_convertible_unit&lt; U, unit&lt; std::ratio&lt; 1 &gt;, category::time_unit &gt;&gt;::value, int &gt;  = 0&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr <a class="el" href="classunits_1_1unit__t.html">units::unit_t</a>&lt; Units, T, NonLinearScale &gt;::operator std::chrono::nanoseconds </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">constexpr</span><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>chrono implicit type conversion. </p>
<p>only enabled for time unit types. </p>

</div>
</div>
<a id="a0e83d3d3d051567eb33f1a475fa35704"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0e83d3d3d051567eb33f1a475fa35704">&#9670;&nbsp;</a></span>operator Ty() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Units , typename T  = double, template&lt; typename &gt; class NonLinearScale = linear_scale&gt; </div>
<div class="memtemplate">
template&lt;class Ty , std::enable_if_t&lt; traits::is_dimensionless_unit&lt; Units &gt;::value &amp;&amp;std::is_arithmetic&lt; Ty &gt;::value, int &gt;  = 0&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr <a class="el" href="classunits_1_1unit__t.html">units::unit_t</a>&lt; Units, T, NonLinearScale &gt;::operator Ty </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">constexpr</span><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>implicit type conversion. </p>
<p>only enabled for scalar unit types. </p>

</div>
</div>
<a id="a0e83d3d3d051567eb33f1a475fa35704"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0e83d3d3d051567eb33f1a475fa35704">&#9670;&nbsp;</a></span>operator Ty() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Units , typename T  = double, template&lt; typename &gt; class NonLinearScale = linear_scale&gt; </div>
<div class="memtemplate">
template&lt;class Ty , std::enable_if_t&lt;!traits::is_dimensionless_unit&lt; Units &gt;::value &amp;&amp;std::is_arithmetic&lt; Ty &gt;::value, int &gt;  = 0&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr <a class="el" href="classunits_1_1unit__t.html">units::unit_t</a>&lt; Units, T, NonLinearScale &gt;::operator Ty </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">explicit</span><span class="mlabel">constexpr</span><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>explicit type conversion. </p>
<p>only enabled for non-dimensionless unit types. </p>

</div>
</div>
<a id="a8599d7df8a1db468dc3e61c3e6122041"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8599d7df8a1db468dc3e61c3e6122041">&#9670;&nbsp;</a></span>operator!=()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Units , typename T  = double, template&lt; typename &gt; class NonLinearScale = linear_scale&gt; </div>
<div class="memtemplate">
template&lt;class UnitsRhs , typename Ty , template&lt; typename &gt; class NlsRhs&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr bool <a class="el" href="classunits_1_1unit__t.html">units::unit_t</a>&lt; Units, T, NonLinearScale &gt;::operator!= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classunits_1_1unit__t.html">unit_t</a>&lt; UnitsRhs, Ty, NlsRhs &gt; &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">constexpr</span><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>inequality </p>
<p>compares the linearized value of two units. Performs unit conversions if necessary. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">rhs</td><td>right-hand side unit for the comparison </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true IFF the value of <code>this</code> is not equal to the value of rhs. </dd></dl>
<dl class="section note"><dt>Note</dt><dd>This may not be suitable for all applications when the underlying_type of <a class="el" href="classunits_1_1unit__t.html" title="Container for values which represent quantities of a given unit.">unit_t</a> is a double. </dd></dl>

</div>
</div>
<a id="a0344e38243a1338677da61fc4d0ef2e9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0344e38243a1338677da61fc4d0ef2e9">&#9670;&nbsp;</a></span>operator&lt;()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Units , typename T  = double, template&lt; typename &gt; class NonLinearScale = linear_scale&gt; </div>
<div class="memtemplate">
template&lt;class UnitsRhs , typename Ty , template&lt; typename &gt; class NlsRhs&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr bool <a class="el" href="classunits_1_1unit__t.html">units::unit_t</a>&lt; Units, T, NonLinearScale &gt;::operator&lt; </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classunits_1_1unit__t.html">unit_t</a>&lt; UnitsRhs, Ty, NlsRhs &gt; &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">constexpr</span><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>less-than </p>
<p>compares the linearized value of two units. Performs unit conversions if necessary. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">rhs</td><td>right-hand side unit for the comparison </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true IFF the value of <code>this</code> is less than the value of <code>rhs</code> </dd></dl>

</div>
</div>
<a id="a0cb34c0c879367098d36408f833fb711"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0cb34c0c879367098d36408f833fb711">&#9670;&nbsp;</a></span>operator&lt;=()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Units , typename T  = double, template&lt; typename &gt; class NonLinearScale = linear_scale&gt; </div>
<div class="memtemplate">
template&lt;class UnitsRhs , typename Ty , template&lt; typename &gt; class NlsRhs&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr bool <a class="el" href="classunits_1_1unit__t.html">units::unit_t</a>&lt; Units, T, NonLinearScale &gt;::operator&lt;= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classunits_1_1unit__t.html">unit_t</a>&lt; UnitsRhs, Ty, NlsRhs &gt; &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">constexpr</span><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>less-than or equal </p>
<p>compares the linearized value of two units. Performs unit conversions if necessary. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">rhs</td><td>right-hand side unit for the comparison </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true IFF the value of <code>this</code> is less than or equal to the value of <code>rhs</code> </dd></dl>

</div>
</div>
<a id="a0ed50cb1ecc7c8fbfa6527dc96836317"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0ed50cb1ecc7c8fbfa6527dc96836317">&#9670;&nbsp;</a></span>operator=() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Units , typename T  = double, template&lt; typename &gt; class NonLinearScale = linear_scale&gt; </div>
<div class="memtemplate">
template&lt;class Ty , class  = std::enable_if_t&lt;traits::is_dimensionless_unit&lt;Units&gt;::value &amp;&amp; std::is_arithmetic&lt;Ty&gt;::value&gt;&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classunits_1_1unit__t.html">unit_t</a>&amp; <a class="el" href="classunits_1_1unit__t.html">units::unit_t</a>&lt; Units, T, NonLinearScale &gt;::operator= </td>
          <td>(</td>
          <td class="paramtype">const Ty &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>assignment </p>
<p>performs implicit conversions from built-in types ONLY for scalar units </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">rhs</td><td>value to copy. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a3cd356057a6c39cebe33e4ea6ef3c6f6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3cd356057a6c39cebe33e4ea6ef3c6f6">&#9670;&nbsp;</a></span>operator=() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Units , typename T  = double, template&lt; typename &gt; class NonLinearScale = linear_scale&gt; </div>
<div class="memtemplate">
template&lt;class UnitsRhs , typename Ty , template&lt; typename &gt; class NlsRhs&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classunits_1_1unit__t.html">unit_t</a>&amp; <a class="el" href="classunits_1_1unit__t.html">units::unit_t</a>&lt; Units, T, NonLinearScale &gt;::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classunits_1_1unit__t.html">unit_t</a>&lt; UnitsRhs, Ty, NlsRhs &gt; &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>assignment </p>
<p>performs implicit unit conversions if required </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">rhs</td><td>unit to copy. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="acb13edd0520e3108b5c4b99af455210b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acb13edd0520e3108b5c4b99af455210b">&#9670;&nbsp;</a></span>operator==()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Units , typename T  = double, template&lt; typename &gt; class NonLinearScale = linear_scale&gt; </div>
<div class="memtemplate">
template&lt;class UnitsRhs , typename Ty , template&lt; typename &gt; class NlsRhs, std::enable_if_t&lt; std::is_floating_point&lt; T &gt;::value||std::is_floating_point&lt; Ty &gt;::value, int &gt;  = 0&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr bool <a class="el" href="classunits_1_1unit__t.html">units::unit_t</a>&lt; Units, T, NonLinearScale &gt;::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classunits_1_1unit__t.html">unit_t</a>&lt; UnitsRhs, Ty, NlsRhs &gt; &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">constexpr</span><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>equality </p>
<p>compares the linearized value of two units. Performs unit conversions if necessary. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">rhs</td><td>right-hand side unit for the comparison </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true IFF the value of <code>this</code> exactly equal to the value of rhs. </dd></dl>
<dl class="section note"><dt>Note</dt><dd>This may not be suitable for all applications when the underlying_type of <a class="el" href="classunits_1_1unit__t.html" title="Container for values which represent quantities of a given unit.">unit_t</a> is a double. </dd></dl>

</div>
</div>
<a id="aa217fffcd201893766279a216c30bd03"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa217fffcd201893766279a216c30bd03">&#9670;&nbsp;</a></span>operator&gt;()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Units , typename T  = double, template&lt; typename &gt; class NonLinearScale = linear_scale&gt; </div>
<div class="memtemplate">
template&lt;class UnitsRhs , typename Ty , template&lt; typename &gt; class NlsRhs&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr bool <a class="el" href="classunits_1_1unit__t.html">units::unit_t</a>&lt; Units, T, NonLinearScale &gt;::operator&gt; </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classunits_1_1unit__t.html">unit_t</a>&lt; UnitsRhs, Ty, NlsRhs &gt; &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">constexpr</span><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>greater-than </p>
<p>compares the linearized value of two units. Performs unit conversions if necessary. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">rhs</td><td>right-hand side unit for the comparison </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true IFF the value of <code>this</code> is greater than the value of <code>rhs</code> </dd></dl>

</div>
</div>
<a id="ade9d4c04fc33fc1a62aaef313729aff4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ade9d4c04fc33fc1a62aaef313729aff4">&#9670;&nbsp;</a></span>operator&gt;=()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Units , typename T  = double, template&lt; typename &gt; class NonLinearScale = linear_scale&gt; </div>
<div class="memtemplate">
template&lt;class UnitsRhs , typename Ty , template&lt; typename &gt; class NlsRhs&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr bool <a class="el" href="classunits_1_1unit__t.html">units::unit_t</a>&lt; Units, T, NonLinearScale &gt;::operator&gt;= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classunits_1_1unit__t.html">unit_t</a>&lt; UnitsRhs, Ty, NlsRhs &gt; &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">constexpr</span><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>greater-than or equal </p>
<p>compares the linearized value of two units. Performs unit conversions if necessary. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">rhs</td><td>right-hand side unit for the comparison </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true IFF the value of <code>this</code> is greater than or equal to the value of <code>rhs</code> </dd></dl>

</div>
</div>
<a id="a848f265210db571a1f7d13aae96c8dd5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a848f265210db571a1f7d13aae96c8dd5">&#9670;&nbsp;</a></span>to()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Units , typename T  = double, template&lt; typename &gt; class NonLinearScale = linear_scale&gt; </div>
<div class="memtemplate">
template&lt;typename Ty , class  = std::enable_if_t&lt;std::is_arithmetic&lt;Ty&gt;::value&gt;&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr Ty <a class="el" href="classunits_1_1unit__t.html">units::unit_t</a>&lt; Units, T, NonLinearScale &gt;::to </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">constexpr</span><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>unit value </p>
<dl class="section return"><dt>Returns</dt><dd>value of the unit converted to an arithmetic, non-safe type. </dd></dl>

</div>
</div>
<a id="a80b7f760f0ed5ff1855ec2f3d8e8c6b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a80b7f760f0ed5ff1855ec2f3d8e8c6b1">&#9670;&nbsp;</a></span>toLinearized()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Units , typename T  = double, template&lt; typename &gt; class NonLinearScale = linear_scale&gt; </div>
<div class="memtemplate">
template&lt;typename Ty , class  = std::enable_if_t&lt;std::is_arithmetic&lt;Ty&gt;::value&gt;&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr Ty <a class="el" href="classunits_1_1unit__t.html">units::unit_t</a>&lt; Units, T, NonLinearScale &gt;::toLinearized </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">constexpr</span><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>linearized unit value </p>
<dl class="section return"><dt>Returns</dt><dd>linearized value of unit which has a non-linear scale. For <code><a class="el" href="classunits_1_1unit__t.html" title="Container for values which represent quantities of a given unit.">unit_t</a></code> types with linear scales, this is equivalent to <code>value</code>. </dd></dl>

</div>
</div>
<a id="a5bb6799c6eb6f4cab7b47490ab03b9a1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5bb6799c6eb6f4cab7b47490ab03b9a1">&#9670;&nbsp;</a></span>value()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Units , typename T  = double, template&lt; typename &gt; class NonLinearScale = linear_scale&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr <a class="el" href="classunits_1_1unit__t.html#af3f88305faf59e0c71e8e616a2877ceb">underlying_type</a> <a class="el" href="classunits_1_1unit__t.html">units::unit_t</a>&lt; Units, T, NonLinearScale &gt;::value </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">constexpr</span><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>unit value </p>
<dl class="section return"><dt>Returns</dt><dd>value of the unit in it's underlying, non-safe type. </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/mnt/e/workspace/units-master/include/<a class="el" href="units_8h_source.html">units.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Oct 3 2020 11:16:53 for Unit Conversion and Dimensional Analysis Library by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
